PKGCTL-BUILD(1)

BEZEICHNUNG
pkgctl-build - Pakete innerhalb einer sauberen Chroot bauen

ÜBERSICHT

pkgctl build [OPTIONEN] [PFAD…]

BESCHREIBUNG

Pakete innerhalb einer sauberen chroot(8)-Umgebung bauen und dabei verschiedene Optionen und Funktionalitäten anbieten, um den Paketbauprozess anzupassen.

Standardmäßig befinden sich Chroot-Umgebungen in /var/lib/archbuild/.

BAUOPTIONEN

--arch ARCH
    Gibt die Architekturen an, für die gebaut wird (dekativiert die automatische Erkennung).

--repo DEPOT
    Gibt das Zieldepot für neue Pakete an, die in keinem offiziellen Depot sind. Fällt auf »extra« beim Bau von Paketen zurück, die noch nicht in einem offiziellen Depot verfügbar sind. Die Verwendung dieser Option ist nicht erlaubt, falls das Paket bereits veröffentlicht ist, da es die Absicherung der automatischen Erkennung umgehen würde.

-s, --staging
    Baut gegen das Gegenstück zu Staging aus dem automatisch erkannten Depot.

-t, --testing
    Baut gegen das Gegenstück zu Testing aus dem automatisch erkannten Depot.

-o, --offload
    Baut auf einem fernen Server und überträgt anschließend die Artefakte.

-c, --clean
    Erstellt die Chroot vor dem Bau neu.

--inspect WANN
    Öffnet eine interaktive Shell, um die Chroot nach dem Bau zu untersuchen. Nützlich, um die Fehlersuche bei einem Paketbau zu erleichtern.
    Mögliche Werte für WANN sind never, always oder failure.

-w, --worker POSITION
    Name der Arbeiterposition, nützlich für parallele Bauten. Standardmäßig wird der Position automatisch die Nummer des aktuellen TTY-PTS zugewiesen. Falls der Aufrufende kein TTY ist, wird eine zufällige Position zwischen 1 und der Anzahl der verfügbaren CPUs gewählt.

--nocheck
    Führt die Funktion check() nicht innerhalb des PKGBUILD aus.

INSTALLATIONSOPTIONEN

-I, --install-to-chroot DATEI
    Installiert ein Paket in die Arbeitskopie der Chroot.

-i, --install-to-host MODUS
    Installiert die gebauten Pakete auf dem Hauptsystem. Nützlich, wenn Sie überprüfen wollen, ob die gebauten Pakete wie geplant funktionieren.

        • Ist MODUS all, dann werden alle gebauten Pakete installiert.

        • Ist MODUS auto, dann werden alle gebauten Pakete installiert, die derzeit installiert sind.

PAKETBAUOPTIONEN

--pkgver=PKTVER
    Setzt »pkgver«, setzt »pkgrel« zurück und aktualisiert Prüfsummen.

--pkgrel=PKTREL
    Setzt »pkgrel« auf den angegebenen Wert.

--rebuild
    Erhöht den Wert der aktuellen Variable »pkgrel«.

--update-checksums
    Erzwingt die Berechnung und Aktualisierung der Prüfsummen durch Deaktivierung der automatischen Erkennung.
    Dies sollte nur unter besonderen Umständen verwandt werden, wenn beispielsweise eine neue Patch-Datei zum Feld »source« hinzugefügt wird. Während normaler Paketierungsaktionen werden Prüfsummen entweder automatisch beim Aktualisieren eines Pakets mittels --pkgver aktualisiert oder sollten während eines Neubaus unveränderbar bleiben.

-e, --edit
    Bearbeitet vor dem Bau den PKGBUILD.

VERÖFFENTLICHUNGSOPTIONEN

-r, --release
    Übergibt, markiert und veröffentlicht automatisch nach dem Bau.
    Die Angabe dieser Option ist verpflichtend, wenn eine der nachfolgenden Optionen dieses Abschnitts verwandt wird.

-m, --message NACHRICHT
    Verwendet die angegebene NACHRICHT als Übergabemeldung.

-u, --db-update
    Aktualisiert automatisch die Pacman-Datenbank als letzte Aktion.

OPTIONEN

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-release(1), pkgctl-db-update(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.